package ecs.components;

import ecs.core.Component;

class VelocityChange extends Component {
	public var time:Float;
	public var fromVelocity:Float;
	public var toVelocity:Float;
	public var timePassed:Float = 0;

	public function new(fromVelocity, toVelocity, time) {
		super();

		this.time = time;
		this.fromVelocity = fromVelocity;
		this.toVelocity = toVelocity;
	}
}
